package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbLink;
import com.ruoyi.hezhi.mapper.TbLinkMapper;
import com.ruoyi.hezhi.service.ITbLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资源关联Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-22
 */
@Service
public class TbLinkServiceImpl implements ITbLinkService
{
    @Autowired
    private TbLinkMapper tbLinkMapper;

    /**
     * 查询资源关联
     *
     * @param linkId 资源关联主键
     * @return 资源关联
     */
    @Override
    public TbLink selectTbLinkByLinkId(Long linkId)
    {
        return tbLinkMapper.selectTbLinkByLinkId(linkId);
    }

    /**
     * 查询资源关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联
     */
    @Override
    public List<TbLink> selectTbLinkList(TbLink tbLink)
    {
        return tbLinkMapper.selectTbLinkList(tbLink);
    }

    /**
     * 新增资源关联
     *
     * @param tbLink 资源关联
     * @return 结果
     */
    @Override
    public int insertTbLink(TbLink tbLink)
    {
        tbLink.setCreateTime(DateUtils.getNowDate());
        return tbLinkMapper.insertTbLink(tbLink);
    }

    /**
     * 修改资源关联
     *
     * @param tbLink 资源关联
     * @return 结果
     */
    @Override
    public int updateTbLink(TbLink tbLink)
    {
        tbLink.setUpdateTime(DateUtils.getNowDate());
        return tbLinkMapper.updateTbLink(tbLink);
    }

    /**
     * 批量删除资源关联
     *
     * @param linkIds 需要删除的资源关联主键
     * @return 结果
     */
    @Override
    public int deleteTbLinkByLinkIds(Long[] linkIds)
    {
        return tbLinkMapper.deleteTbLinkByLinkIds(linkIds);
    }

    /**
     * 删除资源关联信息
     *
     * @param linkId 资源关联主键
     * @return 结果
     */
    @Override
    public int deleteTbLinkByLinkId(Long linkId)
    {
        return tbLinkMapper.deleteTbLinkByLinkId(linkId);
    }

    /**
     * 查询评价机构与课程关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联集合
     */
    @Override
    public List<TbLink> listLinkEvaluateAgencyCourse(TbLink tbLink) {
        return tbLinkMapper.listLinkEvaluateAgencyCourse(tbLink);
    }

    /**
     * 查询直播与老师关联列表
     *
     * @param tbLink 资源关联
     * @return 资源关联集合
     */
    @Override
    public List<TbLink> listLinkLiveBroadcastTeacher(TbLink tbLink) {
        return tbLinkMapper.listLinkLiveBroadcastTeacher(tbLink);
    }
}
